Skip to main content

Add Or Update Riskbit Status

Using this API, riskbit can be updated/added for the provided riskbitId in the request.

Resource Informations​

NameValue
Requires authentication?Yes
Rate limited?No

Request​

Request headers​

KeyValue
AuthorizationBearer token
Content-Typeapplication/json

HTTP request URL for SSMS​

POST https://{tenantId}.{hostname}/digitanium/v4/riskbits/status

HTTP request URL for SHIFT​

POST https://{hostname}/auth/realms/{tenantId}/kobilriskbitstatus/resources-auth
note

API requests must be made over https. Calls made over plain http will fail.

Parameters​

No Parameter fields are required

Request body​

Field NameTypeDescription
idStringId of the risk
realmIdStringTenant name
enabledStringEnable or disable the risk

Sample Request​

{
"id": "4894c76c-bcb9-4aec-b819-f5dcb40fd685",
"realmId": "demokc",
"enabled": true
}

Response Status Information​

Status CodeStatusMessage
201CreatedSuccessfully created.
401UnauthorizedHTTP 401 Unauthorized.
409ConflictAlready exist.